name: cool-retro-term # check to see if it's available
version: '1.1.1' # this is freakin' awesome
summary: cool-retro-term is a cool and retro terminal emulator. # 79 char long summary
description: |
  cool-retro-term is a terminal emulator which mimics the look and feel of the old cathode tube screens. It has been designed to be eye-candy, customizable, and reasonably lightweight.
grade: stable # must be 'stable' to release into candidate/stable channels
confinement: classic # use 'strict' once you have the right plugs

base: core18

apps:
  cool-retro-term:
    command: bin/desktop-launch $SNAP/usr/bin/cool-retro-term
    desktop: usr/share/applications/cool-retro-term.desktop
    environment:
      QML2_IMPORT_PATH: $SNAP/usr/lib/x86_64-linux-gnu/qt5/qml
      
parts:
  desktop-qt5:
    source: https://github.com/ubuntu/snapcraft-desktop-helpers.git
    source-subdir: qt
    plugin: make
    make-parameters: ["FLAVOR=qt5"]
    build-packages:
      - build-essential
      - qtbase5-dev
      - dpkg-dev
    stage-packages:
      - libxkbcommon0
      - ttf-ubuntu-font-family
      - dmz-cursor-theme
      - light-themes
      - adwaita-icon-theme
      - gnome-themes-standard
      - shared-mime-info
      - libqt5gui5
      - libgdk-pixbuf2.0-0
      - libqt5svg5 # for loading icon themes which are svg
      - try: [appmenu-qt5] # not available on core18
      - locales-all
      - xdg-user-dirs
      - fcitx-frontend-qt5

  my-part:
    source: https://github.com/Swordfish90/cool-retro-term
    source-type: git
    plugin: qmake # See 'snapcraft plugins'
    qt-version: qt5
    after: [desktop-qt5]

    build-packages:
      - build-essential 
      - qmlscene 
      - qt5-qmake 
      - qt5-default 
      - qtdeclarative5-dev 
      
    stage-packages: 
      - qmlscene
      - qml-module-qtquick-controls 
      - qml-module-qtquick2
      - qml-module-qtgraphicaleffects
      - qml-module-qtquick-dialogs 
      - qml-module-qtquick-localstorage
      - qml-module-qtquick-window2
      - libgl1-mesa-dev
      - qtdeclarative5-dev-tools
      - qml-module-qtquick-extras
      - qml-module-qt-labs-settings
      - qml-module-qt-labs-folderlistmodel

